Subject: Re: bug#15389: 24.2.91; order of eval-after-load actions

From: Glenn Morris <[email-masked]>
Date: Mon, 16 Sep 2013 02:58:06 -0400

João Távora wrote:

> Is this the expected behaviour? Shouldn't the order in which the hooks
> are run match the order of definition. 

I don't think eval-after-load promises anything about the order of
evaluation. At the moment, it works like add-hook, ie adds to the front
of the list. Do you have an example where it actually matters?

> In GNU Emacs 24.2.91.1 (x86_64-apple-darwin11.4.2, Carbon Version 1.6.0 AppKit 1138.51)

BTW, there's zero reason to use that anymore since 24.3 was released.